Skip to content
Start here

Get a proxy endpoint

zero_trust.gateway.proxy_endpoints.get(strproxy_endpoint_id, ProxyEndpointGetParams**kwargs) -> ProxyEndpoint
GET/accounts/{account_id}/gateway/proxy_endpoints/{proxy_endpoint_id}

Get a single Zero Trust Gateway proxy endpoint.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
proxy_endpoint_id: str
ReturnsExpand Collapse
One of the following:
class ZeroTrustGatewayProxyEndpointIP:
ips: List[GatewayIPs]

Specify the list of CIDRs to restrict ingress connections.

name: str

Specify the name of the proxy endpoint.

id: Optional[str]
created_at: Optional[datetime]
formatdate-time
kind: Optional[Literal["ip"]]

The proxy endpoint kind

subdomain: Optional[str]

Specify the subdomain to use as the destination in the proxy client.

updated_at: Optional[datetime]
formatdate-time
class ZeroTrustGatewayProxyEndpointIdentity:
kind: Literal["identity"]

The proxy endpoint kind

name: str

Specify the name of the proxy endpoint.

id: Optional[str]
created_at: Optional[datetime]
formatdate-time
subdomain: Optional[str]

Specify the subdomain to use as the destination in the proxy client.

updated_at: Optional[datetime]
formatdate-time

Get a proxy endpoint

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
proxy_endpoint = client.zero_trust.gateway.proxy_endpoints.get(
    proxy_endpoint_id="ed35569b41ce4d1facfe683550f54086",
    account_id="699d98642c564d2e855e9661899b7252",
)
print(proxy_endpoint)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ips": [
      "192.0.2.1/32"
    ],
    "name": "Devops team",
    "id": "ed35569b41ce4d1facfe683550f54086",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "ip",
    "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ips": [
      "192.0.2.1/32"
    ],
    "name": "Devops team",
    "id": "ed35569b41ce4d1facfe683550f54086",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "ip",
    "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}